Create a Provisioning SCIM token
curl --request POST \
--url https://{tenantDomain}/my-org/v1/identity-providers/{idp_id}/provisioning/scim-tokens \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"token_lifetime": 86400
}
'import requests
url = "https://{tenantDomain}/my-org/v1/identity-providers/{idp_id}/provisioning/scim-tokens"
payload = { "token_lifetime": 86400 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({token_lifetime: 86400})
};
fetch('https://{tenantDomain}/my-org/v1/identity-providers/{idp_id}/provisioning/scim-tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token_id": "tok_tuz8H9hWQ8LaCkdh",
"token": "tok_tuz8H9hWQ8LaCkdh....",
"created_at": "2025-04-11T20:11:45.431Z",
"valid_until": "2025-04-12T20:11:45.431Z"
}Create a Provisioning SCIM token
Create a new SCIM token for the Provisioning Configuration of an Identity Provider specified by ID for this Organization.
POST
/
identity-providers
/
{idp_id}
/
provisioning
/
scim-tokens
Create a Provisioning SCIM token
Authorizations
OAuth2ClientCredentialsOAuth2AuthCode
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Identity provider identifier.
Pattern:
^con_[A-Za-z0-9]{16}$Body
application/json
Lifetime of the token in seconds. Do not set for non-expiring tokens.
Response
Provisioning SCIM token successfully created.
Was this page helpful?
⌘I